#include "othello.h"

static int opbest(char *board)
{
int i,mi,mv,v;

  mi = -1;  mv = 100;
  for (i=0; i<64; i++) {
    v = Put(board,i,OP_COLOR,NOT_CHANGE);
    if (v>0 && v<mv) {mi=i;  mv=v;}
  }
  if (mi==-1) mv=0;
  return mv;
}

int tea(char *board, int status)
{
int p,i,mi,mv,v;
char board2[64];

  if(passp(status) || initp(status)) return 0;

  mv = 100;  mi = -1;
  for (i=0; i<64; i++) {
    p = i ^ 022;
    CopyBoard(board,board2,NORM);
    v = Put(board2,p,MY_COLOR,CHANGE);
    if (v>0) {
      v -= opbest(board2);
      if (v < mv) {mi = p;  mv = v;}
    }
  }
  return mi;
}
